Bug 950281 - Review Request: golang - The Go Programming Language
Review Request: golang - The Go Programming Language
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
: 652987 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-09 22:07 EDT by Adam Goode
Modified: 2013-10-23 09:58 EDT (History)
19 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-23 22:13:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
michel: fedora‑review+


Attachments (Terms of Use)
mock build log for 1.1.0 beta 1 (701.73 KB, text/x-log)
2013-04-16 23:42 EDT, Michel Alexandre Salim
no flags Details
Comment (83.05 KB, text/plain)
2013-05-20 11:03 EDT, Michel Alexandre Salim
no flags Details

  None (edit)
Description Adam Goode 2013-04-09 22:07:14 EDT
Spec URL: http://agoode.fedorapeople.org/golang.spec
SRPM URL: http://agoode.fedorapeople.org/golang-1.1-0.1.beta1.fc18.src.rpm
Description: The Go Programming Language and associated tools
Fedora Account System Username: agoode
Comment 1 Adam Goode 2013-04-09 22:17:22 EDT
rpmlint output:

summary:

      1 invalid-url
      3 no-manual-page-for-binary
      6 statically-linked-binary
    129 binaryinfo-readelf-failed
    155 devel-file-in-non-devel-package

- invalid-url is a false positive, wget works fine
- statically-linked-binary: this compiler doesn't make dynamic executables
- binaryinfo-readelf-failed: many of the .a files are not ELF
- devel-file-in-non-devel-package: it is a compiler, so there are devel fieles



golang.src: W: invalid-url Source0: https://go.googlecode.com/files/go1.1beta1.src.tar.gz HTTP Error 404: Not Found
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/sync/atomic.a readelf: Error: Unable to read in 0x1454 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/crypto/rand.a readelf: Error: Unable to read in 0xc26b bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/mime/multipart.a readelf: Error: Unable to read in 0x3c44 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/unicode.a readelf: Error: Unable to read in 0x4244 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/compress/lzw.a readelf: Error: Unable to read in 0x4400 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/net/http/cgi.a readelf: Error: Unable to read in 0x2e73 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/archive/tar.a readelf: Error: Unable to read in 0x72 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/database/sql/driver.a readelf: Error: Unable to read in 0x7377 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/runtime/cgo.a readelf: Error: Unable to read in 0x5f63 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/archive/zip.a readelf: Error: Unable to read in 0x676e bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/crypto/hmac.a readelf: Error: Unable to read in 0x222a bytes of section headers
golang.x86_64: E: statically-linked-binary /usr/lib64/golang/pkg/tool/linux_amd64/cgo
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/go/ast.a readelf: Error: Not an ELF file - it has the wrong magic bytes at the start
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/compress/flate.a readelf: Error: Unable to read in 0x6e69 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/crypto/rsa.a readelf: Error: Not an ELF file - it has the wrong magic bytes at the start
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/os/user.a readelf: Error: Unable to read in 0x5f63 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/text/scanner.a readelf: Error: Unable to read in 0x6e75 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/encoding/pem.a readelf: Error: Not an ELF file - it has the wrong magic bytes at the start
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/go/parser.a readelf: Error: Unable to read in 0x6f67 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/strings.a readelf: Error: Unable to read in 0x5400 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/go/scanner.a readelf: Error: Unable to read in 0x2a28 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/bytes.a readelf: Error: Unable to read in 0x6552 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/testing/quick.a readelf: Error: Unable to read in 0x746c bytes of section headers
golang.x86_64: E: statically-linked-binary /usr/lib64/golang/pkg/tool/linux_amd64/yacc
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/net/rpc.a readelf: Error: Unable to read in 0x6f67 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/encoding/ascii85.a readelf: Error: Unable to read in 0xe444 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/math.a readelf: Error: Unable to read in 0x2e22 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/math/big.a readelf: Error: Unable to read in 0x566c bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/container/ring.a readelf: Error: Unable to read in 0x6361 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/testing.a readelf: Error: Unable to read in 0x89 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/io/ioutil.a readelf: Error: Unable to read in 0x4d bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/encoding/base64.a readelf: Error: Unable to read in 0x6873 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/debug/gosym.a readelf: Error: Unable to read in 0x4c2e bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/crypto/elliptic.a readelf: Error: Unable to read in 0x2e67 bytes of section headers
golang.x86_64: E: statically-linked-binary /usr/lib64/golang/bin/gofmt
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/compress/gzip.a readelf: Error: Unable to read in 0x6974 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/debug/elf.a readelf: Error: Unable to read in 0x636e bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/html/template.a readelf: Error: Unable to read in 0x2e65 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/encoding/binary.a readelf: Error: Unable to read in 0x636e bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/net/http/httptest.a readelf: Error: Unable to read in 0x6e6f bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/encoding/json.a readelf: Error: Unable to read in 0x9a44 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/image/gif.a readelf: Error: Unable to read in 0x3b bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/hash/crc64.a readelf: Error: Unable to read in 0x2863 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/reflect.a readelf: Error: Unable to read in 0xbc26 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/encoding/csv.a readelf: Error: Unable to read in 0x736f bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/debug/macho.a readelf: Error: Unable to read in 0x6461 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/encoding/gob.a readelf: Error: Unable to read in 0x2e67 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/go/format.a readelf: Error: Unable to read in 0x1644 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/crypto/dsa.a readelf: Error: Unable to read in 0x79 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/bufio.a readelf: Error: Unable to read in 0xb044 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/errors.a readelf: Error: Unable to read in 0x2e2e bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/go/build.a readelf: Error: Unable to read in 0x706d bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/hash/crc32.a readelf: Error: Unable to read in 0x2200 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/database/sql.a readelf: Error: Unable to read in 0x7974 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/unicode/utf8.a readelf: Error: Unable to read in 0x66b7 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/text/template/parse.a readelf: Error: Unable to read in 0x282e bytes of section headers
golang.x86_64: E: statically-linked-binary /usr/lib64/golang/pkg/tool/linux_amd64/vet
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/os.a readelf: Error: Unable to read in 0x2e67 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/crypto/x509.a readelf: Error: Unable to read in 0x2f6f bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/go/token.a readelf: Error: Unable to read in 0x6946 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/net/http/httputil.a readelf: Error: Unable to read in 0x7564 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/debug/pe.a readelf: Error: Unable to read in 0x6553 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/debug/dwarf.a readelf: Error: Unable to read in 0x562e bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/sort.a readelf: Error: Unable to read in 0x7074 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/crypto/ecdsa.a readelf: Error: Unable to read in 0x6f44 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/encoding/base32.a readelf: Error: Unable to read in 0x6873 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/fmt.a readelf: Error: Unable to read in 0xb608 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/net/textproto.a readelf: Error: Unable to read in 0x732e bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/path/filepath.a readelf: Error: Unable to read in 0x4400 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/compress/zlib.a readelf: Error: Unable to read in 0x7972 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/text/tabwriter.a readelf: Error: Unable to read in 0x7469 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/runtime.a readelf: Error: Unable to read in 0xfff bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/expvar.a readelf: Error: Unable to read in 0x4400 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/image/color.a readelf: Error: Unable to read in 0x6c6f bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/net/http/fcgi.a readelf: Error: Unable to read in 0x2e69 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/regexp/syntax.a readelf: Error: Unable to read in 0x6570 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/hash/adler32.a readelf: Error: Unable to read in 0x2265 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/encoding/asn1.a readelf: Error: Unable to read in 0x6c62 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/crypto/sha256.a readelf: Error: Unable to read in 0x3532 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/mime.a readelf: Error: Unable to read in 0x676e bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/image/png.a readelf: Error: Not an ELF file - it has the wrong magic bytes at the start
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/runtime/pprof.a readelf: Error: Unable to read in 0x5b2e bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/crypto/x509/pkix.a readelf: Error: Unable to read in 0x4400 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/net/url.a readelf: Error: Unable to read in 0x33 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/container/list.a readelf: Error: Unable to read in 0x726f bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/crypto/rc4.a readelf: Error: Unable to read in 0x4565 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/go/printer.a readelf: Error: Unable to read in 0x2e22 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/crypto/aes.a readelf: Error: Unable to read in 0x652e bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/unicode/utf16.a readelf: Error: Unable to read in 0x6 bytes of section headers
golang.x86_64: E: statically-linked-binary /usr/lib64/golang/pkg/tool/linux_amd64/api
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/image.a readelf: Error: Unable to read in 0x4752 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/io.a readelf: Error: Unable to read in 0x6972 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/runtime/debug.a readelf: Error: Unable to read in 0x6570 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/crypto/md5.a readelf: Error: Unable to read in 0x6f67 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/hash/fnv.a readelf: Error: Unable to read in 0x3233 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/syscall.a readelf: Error: Unable to read in 0x2e22 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/net/mail.a readelf: Error: Unable to read in 0x4120 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/html.a readelf: Error: Unable to read in 0x222e bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/crypto.a readelf: Error: Unable to read in 0x3874 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/log/syslog.a readelf: Error: Unable to read in 0xc26b bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/path.a readelf: Error: Unable to read in 0x4c2e bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/sync.a readelf: Error: Unable to read in 0x1a bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/image/draw.a readelf: Error: Unable to read in 0x6e69 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/net/rpc/jsonrpc.a readelf: Error: Unable to read in 0x2029 bytes of section headers
golang.x86_64: E: statically-linked-binary /usr/lib64/golang/pkg/tool/linux_amd64/fix
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/time.a readelf: Error: Unable to read in 0x6c bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/hash.a readelf: Error: Unable to read in 0x2265 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/crypto/subtle.a readelf: Error: Unable to read in 0x6369 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/regexp.a readelf: Error: Unable to read in 0x676e bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/crypto/sha1.a readelf: Error: Unable to read in 0x7974 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/container/heap.a readelf: Error: Unable to read in 0x6361 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/go/doc.a readelf: Error: Not an ELF file - it has the wrong magic bytes at the start
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/crypto/cipher.a readelf: Error: Unable to read in 0x22 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/image/jpeg.a readelf: Error: Unable to read in 0x636e bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/encoding/hex.a readelf: Error: Unable to read in 0x4400 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/crypto/des.a readelf: Error: Unable to read in 0x7274 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/math/cmplx.a readelf: Error: Unable to read in 0xc268 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/index/suffixarray.a readelf: Error: Unable to read in 0x4c2e bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/math/rand.a readelf: Error: Unable to read in 0x22 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/net/http.a readelf: Error: Unable to read in 0x6576 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/os/exec.a readelf: Error: Unable to read in 0x656d bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/os/signal.a readelf: Error: Unable to read in 0x9596 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/strconv.a readelf: Error: Unable to read in 0x6942 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/net/http/cookiejar.a readelf: Error: Unable to read in 0x4400 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/compress/bzip2.a readelf: Error: Unable to read in 0x654c bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/testing/iotest.a readelf: Error: Unable to read in 0xc272 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/crypto/tls.a readelf: Error: Unable to read in 0x6e6f bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/encoding/xml.a readelf: Error: Unable to read in 0x4400 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/net/smtp.a readelf: Error: Not an ELF file - it has the wrong magic bytes at the start
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/net.a readelf: Error: Unable to read in 0x5f63 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/net/http/pprof.a readelf: Error: Unable to read in 0x695b bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/text/template.a readelf: Error: Unable to read in 0x7274 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/flag.a readelf: Error: Unable to read in 0x7044 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/crypto/sha512.a readelf: Error: Unable to read in 0x6700 bytes of section headers
golang.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/log.a readelf: Error: Unable to read in 0x2863 bytes of section headers
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/sync/atomic.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/crypto/rand.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/obj/linux_amd64/libmach.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/mime/multipart.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/unicode.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/compress/lzw.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/net/http/cgi.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/archive/tar.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/database/sql/driver.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/runtime/cgo.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/obj/linux_amd64/lib9.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/archive/zip.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/crypto/hmac.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/share/golang/include/fmt.h
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/go/ast.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/compress/flate.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/crypto/rsa.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/share/golang/include/plan9/ureg_amd64.h
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/os/user.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/text/scanner.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/encoding/pem.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/go/parser.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/obj/linux_amd64/libgc.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/strings.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/share/golang/include/u.h
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/go/scanner.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/share/golang/include/plan9/amd64/u.h
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/bytes.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/testing/quick.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/net/rpc.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/encoding/ascii85.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/share/golang/include/bio.h
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/obj/linux_amd64/libbio.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/math.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/share/golang/include/plan9/ureg_arm.h
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/math/big.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/container/ring.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/testing.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/io/ioutil.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/share/golang/include/ureg_amd64.h
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/encoding/base64.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/debug/gosym.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/crypto/elliptic.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/share/golang/include/utf.h
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/compress/gzip.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/debug/elf.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/html/template.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/encoding/binary.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/net/http/httptest.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/share/golang/include/mach.h
golang.x86_64: W: devel-file-in-non-devel-package /usr/share/golang/include/ureg_x86.h
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/encoding/json.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/image/gif.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/obj/linux_amd64/libcc.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/hash/crc64.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/reflect.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/encoding/csv.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/debug/macho.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/encoding/gob.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/go/format.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/crypto/dsa.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/bufio.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/errors.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/go/build.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/hash/crc32.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/database/sql.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/unicode/utf8.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/text/template/parse.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/os.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/crypto/x509.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/go/token.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/net/http/httputil.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/debug/pe.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/debug/dwarf.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/sort.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/crypto/ecdsa.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/encoding/base32.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/fmt.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/net/textproto.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/path/filepath.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/compress/zlib.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/text/tabwriter.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/runtime.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/expvar.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/image/color.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/net/http/fcgi.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/regexp/syntax.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/hash/adler32.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/encoding/asn1.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/crypto/sha256.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/mime.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/image/png.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/runtime/pprof.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/crypto/x509/pkix.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/net/url.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/runtime.h
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/container/list.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/crypto/rc4.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/go/printer.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/crypto/aes.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/unicode/utf16.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/share/golang/include/ureg_arm.h
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/image.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/io.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/runtime/debug.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/crypto/md5.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/hash/fnv.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/share/golang/include/plan9/arm/u.h
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/syscall.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/net/mail.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/html.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/crypto.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/log/syslog.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/path.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/sync.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/image/draw.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/net/rpc/jsonrpc.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/share/golang/include/plan9/ureg_x86.h
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/time.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/hash.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/share/golang/include/libc.h
golang.x86_64: W: devel-file-in-non-devel-package /usr/share/golang/include/bootexec.h
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/crypto/subtle.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/regexp.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/crypto/sha1.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/container/heap.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/go/doc.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/crypto/cipher.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/image/jpeg.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/cgocall.h
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/encoding/hex.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/crypto/des.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/share/golang/include/plan9/libc.h
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/math/cmplx.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/index/suffixarray.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/math/rand.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/net/http.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/os/exec.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/os/signal.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/share/golang/include/plan9/mach.h
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/strconv.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/net/http/cookiejar.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/compress/bzip2.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/share/golang/include/ar.h
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/testing/iotest.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/crypto/tls.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/share/golang/include/plan9/386/u.h
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/encoding/xml.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/net/smtp.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/net.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/net/http/pprof.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/text/template.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/flag.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/crypto/sha512.a
golang.x86_64: W: devel-file-in-non-devel-package /usr/lib64/golang/pkg/linux_amd64/log.a
golang.x86_64: W: no-manual-page-for-binary go
golang.x86_64: W: no-manual-page-for-binary gofmt
golang-godoc.x86_64: W: no-manual-page-for-binary godoc
7 packages and 0 specfiles checked; 6 errors, 288 warnings.
Comment 2 Adam Goode 2013-04-09 22:19:07 EDT
*** Bug 652987 has been marked as a duplicate of this bug. ***
Comment 3 Adam Goode 2013-04-09 22:23:08 EDT
Actually the fetch might fail since beta2 is available now. I'll update this spec file at some point.
Comment 4 Adam Goode 2013-04-10 22:03:44 EDT
Note that the doc package contains a copy of jquery, as part of the HTML pages.

Is there a jquery package to use instead?
Comment 5 Renich Bon Ciric 2013-04-11 19:29:29 EDT
As before, I offer myself to co-maintain.
Comment 6 Adam Goode 2013-04-11 22:22:26 EDT
Renich: thanks! I would like a co-maintainer for this package.
Comment 7 Michel Alexandre Salim 2013-04-16 22:24:57 EDT
I'll take up the review.

As for jquery - it seems that the worst case is that it's a case of static linking, since only the used parts of jquery will end up in the HTML pages, instead of the entire library being bundled?

In any case, it does not appear to be in the repos...
Comment 8 Michel Alexandre Salim 2013-04-16 23:42:59 EDT
Created attachment 736662 [details]
mock build log for 1.1.0 beta 1

Building in mock fails due to some test cases attempting to use the network, which is disabled in mock and the build servers.

Could you disable them as part of %setup? Even better if you make it toggle-able so package maintainers can run the full test suite on their own machine, and then flip the bit to disable the network tests before committing.
Comment 9 Adam Goode 2013-05-07 00:51:56 EDT
Hitting this bug now: 
https://code.google.com/p/go/issues/detail?id=5118

Going to look again in a few days.
Comment 10 Adam Goode 2013-05-07 01:09:33 EDT
I think the patch worked. Will update with new specfile tomorrow.
Comment 11 Adam Goode 2013-05-09 00:35:46 EDT
New spec and SRPM:
http://fedorapeople.org/~agoode/golang.spec
http://fedorapeople.org/~agoode/golang-1.1-0.3.rc3.fc18.src.rpm


Scratch build was successful on koji for rawhide.
Comment 12 Michel Alexandre Salim 2013-05-20 11:03:16 EDT
Created attachment 915715 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).
Comment 13 Christopher Meng 2013-05-21 02:18:29 EDT
Hi Adam,

Since this package is approved(fedora-review+), I hope you can make a SCM request.

And please fix the ! items before importing them into SCM.

If you don't have time later, I'll request a commit privilege later.

Now I'm packaging some software written in go, so please go ahead ASAP~

Thanks.
Comment 14 Adam Goode 2013-05-21 12:42:21 EDT
I should be able to get to this tonight.

If you are packaging software, is gccgo insufficient? I would recommend using gccgo for Go packages in Fedora, since golang won't generate debuginfo packages and has other limitations.

I guess we will need some packaging guidelines.
Comment 15 Renich Bon Ciric 2013-05-21 16:37:22 EDT
(In reply to Adam Goode from comment #14)
> I should be able to get to this tonight.
> 
> If you are packaging software, is gccgo insufficient? I would recommend
> using gccgo for Go packages in Fedora, since golang won't generate debuginfo
> packages and has other limitations.
> 
> I guess we will need some packaging guidelines.

https://fedoraproject.org/wiki/User:Renich/Go_Packaging_Guidelines

Tried starting this some time ago... don't know if it's useful
Comment 16 Adam Goode 2013-05-21 22:34:57 EDT
New Package SCM Request
=======================
Package Name: golang
Short Description: The Go Programming Language
Owners: agoode renich
Branches: f17 f18 f19
InitialCC:
Comment 17 Jon Ciesla 2013-05-22 12:40:45 EDT
Git done (by process-git-requests).
Comment 18 Adam Goode 2013-05-23 20:36:06 EDT
I will split the godoc package into a binary and source package, and make godoc depend on the source package.

I don't think godoc needs to require golang: it just parses the sources and runs a standalone webserver.
Comment 19 Renich Bon Ciric 2013-05-23 20:54:31 EDT
(In reply to Adam Goode from comment #16)
> New Package SCM Request
> =======================
> Package Name: golang
> Short Description: The Go Programming Language
> Owners: agoode renich
> Branches: f17 f18 f19
> InitialCC:

Should the package get renamed? There's, already, a bunch of google projects and their naming scheme is google-<project>

$ yum list "google*"
...

google-croscore-arimo-fonts.noarch 
google-croscore-cousine-fonts.noarch
google-croscore-fonts-common.noarch
google-croscore-symbolneu-fonts.noarch
google-croscore-tinos-fonts.noarch
google-droid-kufi-fonts.noarch
google-droid-sans-fonts.noarch
google-droid-sans-mono-fonts.noarch
google-droid-serif-fonts.noarch
google-gson.noarch
google-talkplugin.x86_64
google-authenticator.i686
google-authenticator.x86_64
google-gson-javadoc.noarch
google-guice.noarch
google-guice-javadoc.noarch
googlecl.noarch

I'd like to propose to change this to google-go or maybe just go and gopkg-<pkg> (as ruby does with it's gems); since there's a plethora of sub-packages to be made: 

http://golang.org/pkg/
http://code.google.com/p/go-wiki/wiki/Projects (maybe?)
Comment 20 Adam Goode 2013-05-23 20:57:05 EDT
Actually I will have godoc require the main package, I need the src symlink from the main package for godoc to work.
Comment 21 Adam Goode 2013-05-23 21:02:01 EDT
The font packages have "google" in the name because that is the foundry:
https://fedoraproject.org/wiki/Packaging:FontsPolicy

The other packages have "google" in the name because that is the name of the upstream packages:
https://code.google.com/p/google-gson/
https://code.google.com/p/google-guice/
https://code.google.com/p/google-authenticator/
https://code.google.com/p/googlecl/

I think "golang" is fine. "go" itself is not as useful a name (too generic). The website for the project is golang.org.
Comment 22 Paul P Komkoff Jr 2013-06-12 16:21:56 EDT
Is it me or it doesn't work? If I just install golang, then export GOPATH=/my/path
go install bla/bla it can't import pretty much anything system because sources are not installed. If I install golang-godoc with it, it does
load cmd/cgo: package cmd/cgo: open /usr/lib64/golang/src/cmd/cgo: no such file or directory

if I do CGO_ENABLED=0, it
CGO_ENABLED=0 go install bla/bla
go install errors: open /usr/lib64/golang/pkg/linux_amd64/errors.a: permission denied
go install sync: open /usr/lib64/golang/pkg/linux_amd64/sync.a: permission denied
go install unicode/utf8: open /usr/lib64/golang/pkg/linux_amd64/unicode/utf8.a: permission denied
go install sort: open /usr/lib64/golang/pkg/linux_amd64/sort.a: permission denied
go install unicode/utf16: open /usr/lib64/golang/pkg/linux_amd64/unicode/utf16.a: permission denied
go install crypto/subtle: open /usr/lib64/golang/pkg/linux_amd64/crypto/subtle.a: permission denied
go install unicode: open /usr/lib64/golang/pkg/linux_amd64/unicode.a: permission denied
Comment 23 Adam Goode 2013-06-12 18:14:04 EDT
Hmmm. Sorry about this. Do you mind opening a new bug to track this problem? I will try to look at it in the meantime but it is easier for me if it's in another bug.
Comment 24 Kevin Fox 2013-08-09 20:17:33 EDT
I'm really glad someone is working on this finally.

Here's a link to the build scripts we have been using to build rpms for our systems:
https://github.com/EMSL-MSC/go-rpms

Its rough in places, but it produces a working compiler for x86_64 as well as a working cross compiler toolchain for building go i686 windows binaries in fedora.

Hope this helps.
Comment 25 Paul P Komkoff Jr 2013-08-11 07:42:16 EDT
I have added this http://fedorapeople.org/cgit/stingray/public_git/golang.git/commit/?id=2226b78dfdd1863860089b275b7cfbf5822dcca0 but haven't told anyone.
This basically adds cross-compilation support but isolates all secondary arches into different rpms, so you can install them selectively.
Comment 26 Adam Miller 2013-09-18 17:42:21 EDT
Package Change Request
======================
Package Name: golang
New Branches: el6
Owners: maxamillion
Comment 27 Jon Ciesla 2013-09-19 09:03:58 EDT
Git done (by process-git-requests).
Comment 28 Peter Lemenkov 2013-10-23 07:12:59 EDT
Package Change Request
======================
Package Name: golang
InitialCC: golang-sig
Comment 29 Jon Ciesla 2013-10-23 09:58:24 EDT
Done.

Note You need to log in before you can comment on or make changes to this bug.